DOMUtils (Lucene 2.4.1 API)
Keywords: org.apache.lucene.xmlparser.DOMUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser
Class DOMUtils

    java.lang.Object
      org.apache.lucene.xmlparser.DOMUtils

    public class DOMUtils

extends Object

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Constructor Summary
`DOMUtils()`

Method Summary
`static boolean` | `getAttribute(Element element, String attributeName, boolean deflt)`
`static float` | `getAttribute(Element element, String attributeName, float deflt)`
`static int` | `getAttribute(Element element, String attributeName, int deflt)`
`static String` | `getAttribute(Element element, String attributeName, String deflt)`
`static String` | `getAttributeOrFail(Element e, String name)`
`static String` | `getAttributeWithInheritance(Element element, String attributeName)` Returns an attribute value from this node, or first parent node with this attribute defined
`static String` | `getAttributeWithInheritanceOrFail(Element e, String name)`
`static Element` | `getChildByTagName(Element e, String name)`
`static Element` | `getChildByTagOrFail(Element e, String name)`
`static String` | `getChildTextByTagName(Element e, String tagName)`
`static Element` | `getFirstChildElement(Element element)`
`static Element` | `getFirstChildOrFail(Element e)`
`static String` | `getNonBlankTextOrFail(Element e)`
`static String` | `getText(Node e)`
`static Element` | `insertChild(Element parent, String tagName, String text)`
`static Document` | `loadXML(Reader is)` Helper method to parse an XML file into a DOM tree, given a reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMUtils

    public DOMUtils()

Method Detail

### getChildByTagOrFail

    public static Element getChildByTagOrFail(Element e,
                                              String name)
                                       throws ParserException

  Throws:
    `ParserException`

### getFirstChildOrFail

    public static Element getFirstChildOrFail(Element e)
                                       throws ParserException

  Throws:
    `ParserException`

### getAttributeOrFail

    public static String getAttributeOrFail(Element e,
                                            String name)
                                     throws ParserException

  Throws:
    `ParserException`

### getAttributeWithInheritanceOrFail

    public static String getAttributeWithInheritanceOrFail(Element e,
                                                           String name)
                                                    throws ParserException

  Throws:
    `ParserException`

### getNonBlankTextOrFail

    public static String getNonBlankTextOrFail(Element e)
                                        throws ParserException

  Throws:
    `ParserException`

### getChildByTagName

    public static Element getChildByTagName(Element e,
                                            String name)

### getAttributeWithInheritance

    public static String getAttributeWithInheritance(Element element,
                                                     String attributeName)

  Returns an attribute value from this node, or first parent node with this attribute defined

  Parameters:
    `element` -
    `attributeName` -
  Returns:
    A non-zero-length value if defined, otherwise null

### getChildTextByTagName

    public static String getChildTextByTagName(Element e,
                                               String tagName)

### insertChild

    public static Element insertChild(Element parent,
                                      String tagName,
                                      String text)

### getAttribute

    public static String getAttribute(Element element,
                                      String attributeName,
                                      String deflt)

### getAttribute

    public static float getAttribute(Element element,
                                     String attributeName,
                                     float deflt)

### getAttribute

    public static int getAttribute(Element element,
                                   String attributeName,
                                   int deflt)

### getAttribute

    public static boolean getAttribute(Element element,
                                       String attributeName,
                                       boolean deflt)

### getText

    public static String getText(Node e)

### getFirstChildElement

    public static Element getFirstChildElement(Element element)

### loadXML

    public static Document loadXML(Reader is)

  Helper method to parse an XML file into a DOM tree, given a reader.

  Parameters:
    `is` - reader of the XML file to be parsed
  Returns:
    an org.w3c.dom.Document object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.